import {select, arc} from 'd3';

const svg = select('svg');
const circle = svg.append('circle');

const width = +(svg.attr('width'));
const height = +(svg.attr('height'));

console.log(typeof height);

circle.attr('r', height/2).attr('cx', width/2).attr('cy', height/2).attr('fill', 'yellow');

const leftEye = svg.append('circle')
									 .attr('r', 30)
									 .attr('cx', width/2 - 100)
									 .attr('cy', height/2 - 70)
									 .attr('fill', 'black');

const rightEye = svg.append('circle')
									 .attr('r', 30)
									 .attr('cx', width/2 + 100)
									 .attr('cy', height/2 - 70)
									 .attr('fill', 'black');

const g = svg.append('g')
						.attr('transform', 'translate(480, 250)');

const mouth = g.append('path')
								 .attr('d', arc() ({
                       innerRadius: 80,
  										 outerRadius: 100,
  										 startAngle: Math.PI / 2,
  										 endAngle: Math.PI * 3 / 2
                       }));